findBottom {oce} | R Documentation

## Find the Ocean Bottom in an Echosounder Object

### Description

Finds the depth in a Biosonics echosounder file, by finding the strongest reflector and smoothing its trace.

### Usage

    findBottom(x, ignore = 5, clean = despike)

### Arguments

`x` | an object of class `echosounder`
`ignore` | number of metres of data to ignore, near the surface
`clean` | a function to clean the inferred depth of spikes

### Value

A list with elements: the `time` of a ping, the `depth` of the inferred depth in metres, and the `index` of the inferred bottom location, referenced to the object's `depth` vector.

### Author(s)

Dan Kelley

### See Also

The documentation for `echosounder-class` explains the structure of `echosounder` objects, and also outlines the other functions dealing with them.

Other things related to `echosounder` data: `[[,echosounder-method`, `[[<-,echosounder-method`, `as.echosounder`, `echosounder-class`, `echosounder`, `plot,echosounder-method`, `read.echosounder`, `subset,echosounder-method`, `summary,echosounder-method`

[Package oce version 0.9-22 Index]